Neverending Perpetual Motion

    @hi18n/eslint-plugin
    TypeScript icon, indicating that this package has built-in type declarations

    0.1.9 • Public • Published

    @hi18n/eslint-plugin

    This is a collection of ESLint rules to enforce correct and conventional uses of hi18n, an internationalization library.

    It also contains rules internally used by @hi18n/cli.

    Configuration example

    npm install -D @hi18n/eslint-plugin
    # Or:
    yarn add -D @hi18n/eslint-plugin
    

    And:

    // .eslintrc.js
    module.exports = {
      extends: [
        // ...
        "plugin:@hi18n/recommended",
        // Useful if TypeScript is configured in your project
        "plugin:@hi18n/recommended-requiring-type-checking",
      ],
      // ...
    };

    Install

    npm i @hi18n/eslint-plugin

    DownloadsWeekly Downloads

    1,049

    Version

    0.1.9

    License

    MIT

    Unpacked Size

    541 kB

    Total Files

    114

    Last publish

    Collaborators

    • qnighy